DRAFT -  DRAFT -  DRAFT -  DRAFT -  DRAFT -  DRAFT -  DRAFT -  DRAFT - 

 3.1.3.2. Update Tenant

VerbURIDescription
POSTv2.0/tenants/{tenantId} Updates a tenant.

Normal Response Code(s): 200

Error Response Code(s): identityFault (400, 500, ), badRequest (400), unauthorized (401), forbidden (403), badMethod (405), overLimit (413), serviceUnavailable (503), itemNotFound (404), badMediaType (415)

This call updates a tenant.

Table 3.11. Update Tenant Request Parameters
NameStyleTypeDescription
X-Auth-TokenHeader​StringYou need a valid admin token for access.

The X-Auth-Token header should always be supplied.

tenantIdTemplate​String

 

Example 3.27. Update Tenant Request: XML

<?xml version="1.0" encoding="UTF-8"?>
<tenant xmlns="http://docs.openstack.org/identity/api/v2.0"
        enabled="true" id="1234" name="ACME Corp">
    <description>A description...</description>
</tenant>

 

Example 3.28. Update Tenant Request: JSON

{
  "tenant": {
    "id": "1234",
    "name": "ACME corp",
    "description": "A description ...",
    "enabled": true
  }
}

 

Example 3.29. Update Tenant Response: XML

<?xml version="1.0" encoding="UTF-8"?>
<tenant xmlns="http://docs.openstack.org/identity/api/v2.0"
        enabled="true" id="1234" name="ACME Corp">
    <description>A description...</description>
</tenant>

 

Example 3.30. Update Tenant Response: JSON

{
  "tenant": {
    "id": "1234",
    "name": "ACME corp",
    "description": "A description ...",
    "enabled": true
  }
}